com.h3c.of.lib.mp

## Enum MultipartType

- java.lang.Object
- - java.lang.Enum<MultipartType>
  - - com.h3c.of.lib.mp.MultipartType

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<MultipartType>

      public enum MultipartType
      extends Enum<MultipartType>
      implements OfpCodeBasedEnum

  Designates multipart message types; Since 1.3 (but see note).

  Important Note: Although MULTIPART-REQUEST/REPLY messages were only added to the protocol at 1.3, they are semantically equivalent to the (now deprecated) STATS-REQUEST/REPLY messages in 1.0, 1.1 and 1.2.

  The documentation for each constant below indicates when the type was added to the protocol irrespective of "stats" vs. "multipart".

  See Also:
    `OfmMultipartRequest`, `OfmMultipartReply`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGREGATE` Aggregate flow statistics; Since 1.0.
    `DESC` Description of this openflow switch; Since 1.0.
    `EXPERIMENTER` Experimenter extension; Since 1.0.
    `FLOW` Individual flow statistics; Since 1.0.
    `GROUP` Group counter statistics; Since 1.1.
    `GROUP_DESC` Group description; Since 1.1.
    `GROUP_FEATURES` Group features; Since 1.2.
    `METER` Meter statistics; Since 1.3.
    `METER_CONFIG` Meter configuration; Since 1.3.
    `METER_FEATURES` Meter features; Since 1.3.
    `PORT_DESC` Port description; Since 1.3.
    `PORT_STATS` Port statistics; Since 1.0.
    `QUEUE` Queue statistics for a port; Since 1.0.
    `TABLE` Flow table statistics; Since 1.0.
    `TABLE_FEATURES` Table features; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultipartType` | `decode(int code, ProtocolVersion pv)` Decodes the multipart message type code and returns the corresponding constant.
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static MultipartType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MultipartType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESC

          public static final MultipartType DESC

      Description of this openflow switch; Since 1.0.

    - #### FLOW

          public static final MultipartType FLOW

      Individual flow statistics; Since 1.0.

    - #### AGGREGATE

          public static final MultipartType AGGREGATE

      Aggregate flow statistics; Since 1.0.

    - #### TABLE

          public static final MultipartType TABLE

      Flow table statistics; Since 1.0.

    - #### PORT_STATS

          public static final MultipartType PORT_STATS

      Port statistics; Since 1.0. (Called "PORT" in 1.0, 1.1, and 1.2)

    - #### QUEUE

          public static final MultipartType QUEUE

      Queue statistics for a port; Since 1.0.

    - #### GROUP

          public static final MultipartType GROUP

      Group counter statistics; Since 1.1.

    - #### GROUP_DESC

          public static final MultipartType GROUP_DESC

      Group description; Since 1.1.

    - #### GROUP_FEATURES

          public static final MultipartType GROUP_FEATURES

      Group features; Since 1.2.

    - #### METER

          public static final MultipartType METER

      Meter statistics; Since 1.3.

    - #### METER_CONFIG

          public static final MultipartType METER_CONFIG

      Meter configuration; Since 1.3.

    - #### METER_FEATURES

          public static final MultipartType METER_FEATURES

      Meter features; Since 1.3.

    - #### TABLE_FEATURES

          public static final MultipartType TABLE_FEATURES

      Table features; Since 1.3.

    - #### PORT_DESC

          public static final MultipartType PORT_DESC

      Port description; Since 1.3.

    - #### EXPERIMENTER

          public static final MultipartType EXPERIMENTER

      Experimenter extension; Since 1.0. (Called "VENDOR" in 1.0).

  - ### Method Detail

    - #### values

          public static MultipartType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultipartType c : MultipartType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultipartType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### decode

          public static MultipartType decode(int code,
                             ProtocolVersion pv)
                                      throws DecodeException

      Decodes the multipart message type code and returns the corresponding constant. If the code is not recognized, an exception is thrown.
      Parameters:
        `code` - the encoded multipart message type
        `pv` - the protocol version
      Returns:
        the multipart type
      Throws:
        `DecodeException` - if the code is not recognized
        `VersionMismatchException` - if the multipart type is not supported in the given version

Copyright © 2014. All Rights Reserved.